package com.ruoyi.web.work.mapper;

import java.util.List;

import com.ruoyi.web.work.domain.Request;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.web.work.domain.dto.ObrRequestDto;
import org.apache.ibatis.annotations.Param;

/**
 * @author lsw
 * @date 2024-07-23
 */
public interface RequestMapper extends BaseMapper<Request> {
    List<Request> selectList(Request request);

    List<Request> getRequestByCard(String card);


    List<Request> getAllRequestByPatId(Long patId);

    List<Request> getRequestListByPatId(@Param("patId") String patId, @Param("startTime") String startTime, @Param("endTime") String endTime);

    Request selectOrcReportByOrcId(String orcId);
}
